<?php
namespace Incoviba;

use \Model;

class PropiedadUnidad extends Model {
  public static $_table = 'propiedad_unidad';

  protected $propiedad_obj;
  public function propiedad() {
    if ($this->propiedad_obj === null) {
      $this->propiedad_obj = $this->belongs_to(Propiedad::class, 'propiedad')->find_one();
    }
    return $this->propiedad_obj;
  }
  protected $unidad_obj;
  public function unidad() {
    if ($this->unidad_obj === null) {
      $this->unidad_obj = $this->belongs_to(Unidad::class, 'unidad')->find_one();
    }
    return $this->unidad_obj;
  }
}
